# class Byebug::PostMortemSetting

Setting to enable/disable post_mortem mode, i.e., a debugger prompt after program termination by unhandled exception.

### Public Class Methods

new() click to toggle source

    # File lib/byebug/settings/post_mortem.rb, line 9
    def initialize
      Byebug.post_mortem = DEFAULT
    end

### Public Instance Methods

banner() click to toggle source

    # File lib/byebug/settings/post_mortem.rb, line 13
    def banner
      'Enable/disable post-mortem mode'
    end

value() click to toggle source

    # File lib/byebug/settings/post_mortem.rb, line 21
    def value
      Byebug.post_mortem?
    end

value=(v) click to toggle source

    # File lib/byebug/settings/post_mortem.rb, line 17
    def value=(v)
      Byebug.post_mortem = v
    end